#ifndef _Handle_PDataStd_RealList_HeaderFile
#define _Handle_PDataStd_RealList_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_RealList;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_RealList);

class Handle(PDataStd_RealList) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_RealList)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_RealList)(const Handle(PDataStd_RealList)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_RealList)(const PDataStd_RealList* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_RealList)& operator=(const Handle(PDataStd_RealList)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_RealList)& operator=(const PDataStd_RealList* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_RealList* operator->() const 
     {
      return (PDataStd_RealList *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_RealList) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
